package com.shzg.project.worn.mapper;

import java.util.List;
import com.shzg.project.worn.domain.WornMaterialType;

/**
 * 物料类型Mapper接口
 * 
 * @author shzg
 * @date 2026-03-11
 */
public interface WornMaterialTypeMapper 
{
    /**
     * 查询物料类型
     * 
     * @param id 物料类型主键
     * @return 物料类型
     */
    public WornMaterialType selectWornMaterialTypeById(Long id);

    /**
     * 查询物料类型列表
     * 
     * @param wornMaterialType 物料类型
     * @return 物料类型集合
     */
    public List<WornMaterialType> selectWornMaterialTypeList(WornMaterialType wornMaterialType);

    /**
     * 新增物料类型
     * 
     * @param wornMaterialType 物料类型
     * @return 结果
     */
    public int insertWornMaterialType(WornMaterialType wornMaterialType);

    /**
     * 修改物料类型
     * 
     * @param wornMaterialType 物料类型
     * @return 结果
     */
    public int updateWornMaterialType(WornMaterialType wornMaterialType);

    /**
     * 删除物料类型
     * 
     * @param id 物料类型主键
     * @return 结果
     */
    public int deleteWornMaterialTypeById(Long id);

    /**
     * 批量删除物料类型
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWornMaterialTypeByIds(Long[] ids);

    /**
     * 查询最大类型编码
     * @return
     */
    String selectMaxTypeCode();

    /**
     * 查询子节点数量
     */
    int selectChildCountByParentId(Long parentId);

    /**
     * 查询所有子节点
     */
    List<WornMaterialType> selectChildrenById(Long id);

    /**
     * 更新子节点祖级信息
     */
    int updateChildrenAncestors(WornMaterialType wornMaterialType);
}
